<?php
class partnerComponents extends sfComponents
{
    public function executePartner(sfWebRequest $request)
    {
        $this->partners = Doctrine_Query::create()
            ->select("title, cover, link, order_id")
            ->from("Partners")
            ->orderBy("order_id ASC")
            ->fetchArray();
    }
}